Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends
AlgorithmParametersTemplate< T > Class Template Reference
Inheritance diagram for AlgorithmParametersTemplate< T >:

List of all members.

## Public Member Functions

| AlgorithmParametersTemplate (const char *name, const T &value, bool throwIfNotUsed)
void | AssignValue (const char *name, const std::type_info &valueType, void *pValue) const
void | MoveInto (void *buffer) const
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const

## Protected Attributes

T | m_value
const char * | m_name
bool | m_throwIfNotUsed
bool | m_used
member_ptr < AlgorithmParametersBase > | m_next

## Friends

class | AlgorithmParameters

## Detailed Description

### template<class T>
class AlgorithmParametersTemplate< T >

Definition at line 302 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h